const path = require("path");
module.exports = {
  transpileDependencies: true,
  publicPath: "./",
  outputDir: path.resolve(__dirname, "./example/dist"),
  // configureWebpack: (config) => {
  //   console.log(1111, config.module.rules);
  //   config.entry.app = "./example/main.ts";
  //   config.resolve.fallback = {
  //     os: require.resolve("os-browserify/browser"),
  //     assert: require.resolve("assert/"),
  //   };
  //   config.resolve.alias = {
  //     vue$: "vue/dist/vue.esm.js",
  //   };
  //   config.module.rules.push({
  //     test: /\.(png|svg|jpg|jpeg|gif)$/i,
  //     include: ["cover-image"],
  //     type: "asset/resource",
  //     generator: {
  //       filename: "cover-image/[name][ext][query]",
  //     },
  //   });
  // },
  configureWebpack: {
    entry: "./example/main.ts",
    resolve: {
      fallback: {
        os: require.resolve("os-browserify/browser"),
        assert: require.resolve("assert/"),
      },
      alias: {
        vue$: "vue/dist/vue.esm.js",
      },
    },
    module: {
      rules: [
        {
          test: /\.(png|svg|jpg|jpeg|gif)$/i,
          include: [path.resolve(__dirname, "cover-image")],
          type: "asset/resource",
          generator: {
            filename: "cover-image/[name][ext][query]",
          },
        },
      ],
    },
  },
};
